Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.serialize
Interface DOMSerializer

All Known Implementing Classes:
  BaseMarkupSerializer, CachingHTMLSerializer, CachingXHTMLSerializer, HTMLSerializer, TextSerializer, XHTMLSerializer, XMLSerializer

    public interface DOMSerializer

Interface for a DOM serializer implementation.

Version:
  $Revision: 1.2 $ $Date: 2003/04/04 00:46:41 $
Author:
  Scott Boag, Assaf Arkin

Method Summary
`void` | `serialize(org.w3c.dom.Document doc)` Serializes the DOM document.
`void` | `serialize(org.w3c.dom.DocumentFragment frag)` Serializes the DOM document fragment.
`void` | `serialize(org.w3c.dom.Element elem)` Serialized the DOM element.

Method Detail

### serialize

    void serialize(org.w3c.dom.Element elem)
                   throws java.io.IOException

  Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    void serialize(org.w3c.dom.Document doc)
                   throws java.io.IOException

  Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `doc` - The document to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    void serialize(org.w3c.dom.DocumentFragment frag)
                   throws java.io.IOException

  Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.

  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD